Get tool
curl --request GET \
--url https://api.getcargo.io/v1/orchestration/tools/{uuid} \
--header 'Authorization: Bearer <token>'{
"tool": {
"uuid": "<string>",
"icon": {
"kind": "<string>",
"data": "<string>"
},
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"userUuid": "<string>",
"name": "<string>",
"folderUuid": "<string>",
"creditsCost": {
"kind": "<string>"
},
"description": "<string>",
"isReadOnly": true,
"triggers": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"cron": "<string>",
"temporalScheduleWorkflowId": "<string>",
"data": {}
}
],
"publicForm": {
"isEnabled": true,
"allowedOrigins": [
"<string>"
],
"spam": {
"captchaSiteKey": "<string>",
"captchaSecret": "<string>",
"minFillMillis": 4503599627370495
},
"presentation": {
"theme": {
"primaryColor": "<string>",
"primaryTextColor": "<string>",
"primaryHoverColor": "<string>",
"textColor": "<string>",
"mutedColor": "<string>",
"backgroundColor": "<string>",
"borderColor": "<string>",
"borderFocusColor": "<string>",
"radius": "<string>",
"fontFamily": "<string>"
}
}
},
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}Orchestration - Tools
Get tool
Get a tool by UUID
GET
/
orchestration
/
tools
/
{uuid}
Get tool
curl --request GET \
--url https://api.getcargo.io/v1/orchestration/tools/{uuid} \
--header 'Authorization: Bearer <token>'{
"tool": {
"uuid": "<string>",
"icon": {
"kind": "<string>",
"data": "<string>"
},
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"userUuid": "<string>",
"name": "<string>",
"folderUuid": "<string>",
"creditsCost": {
"kind": "<string>"
},
"description": "<string>",
"isReadOnly": true,
"triggers": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"cron": "<string>",
"temporalScheduleWorkflowId": "<string>",
"data": {}
}
],
"publicForm": {
"isEnabled": true,
"allowedOrigins": [
"<string>"
],
"spam": {
"captchaSiteKey": "<string>",
"captchaSecret": "<string>",
"minFillMillis": 4503599627370495
},
"presentation": {
"theme": {
"primaryColor": "<string>",
"primaryTextColor": "<string>",
"primaryHoverColor": "<string>",
"textColor": "<string>",
"mutedColor": "<string>",
"backgroundColor": "<string>",
"borderColor": "<string>",
"borderFocusColor": "<string>",
"radius": "<string>",
"fontFamily": "<string>"
}
}
},
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Tool identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Response
Successful response
Tool details.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

